<template>
   <nav id="header" class="navbar navbar-expand-lg navbar-dark bg-primary py-0 px-3">
        <div class="container">
            <a href="/" class="navbar-brand">
                <img src="../assets/img/steppes.png" class="img-fluid">
            </a>
            <button class="navbar-toggler" type="button" data-coreui-toggle="collapse" data-coreui-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse fw-semibold" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="navbar-item">
                        <a class="nav-link" href="Dashboard">Dashboard Global</a>
                    </li>
                    <li class="navbar-item">
                        <a class="nav-link" href="../data/Guide utilisateur Steppes.pdf">Guide utilisateur</a>
                    </li>
                    <li class="navbar-item">
                        <a class="nav-link" href="https://www.steppes.fr">Accédez au site de Steppes</a>
                    </li>
                </ul>
            </div>
            <a href="../login">
                <CIcon :icon="cilUser" id="user-icon"/>
            </a>
        </div>
    </nav>
</template>

<script>
import { CIcon } from "@coreui/icons-vue";
import { cilUser } from "@coreui/icons";
export default {
    components: {
        CIcon
    },
    setup() {
        return {
            cilUser
        } 
    }
}
</script>

<style scoped lang="scss">

#header {
    .container {

        .navbar-brand {
            img {
                width: 4rem;
            }
        }
        #user-icon {
            width: 2rem;
        }
    }
}
ul {
    padding: 0;
    width: 100%;
}

li {
    display: inline;
}

a,
a:hover,
a:active {
    text-decoration: none;
    color: white;
    margin-right: 3%;
    text-align: center;
}   
</style>